Get Loyalty Program Customers
Loyalty
Get Loyalty Program Customers
List Loyalty Program Customers
Retrieves a list of customers associated with a specific loyalty program.
Path Parameters:
programId: UUID of the loyalty program
Query Parameters:
phone: Filter by customer’s phone number (optional)email: Filter by customer’s email (optional)pid: Filter by personal identifier (optional)pidNumber: Filter by personal identifier number (optional)includeTotal: Include total member count in response (default: false)
Returns:
- By default: A list of customer details as JSON objects.
- If includeTotal=true: An object with
customersarray andtotalcount.
GET
Get Loyalty Program Customers
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Response
Successful Response
